Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component
Class UIToolBar

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.richfaces.component.UIToolBar

All Implemented Interfaces:
  javax.faces.component.StateHolder

Direct Known Subclasses:
  HtmlToolBar

    public abstract class UIToolBar

extends javax.faces.component.UIComponentBase

Field Summary
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from class javax.faces.component.UIComponent
`bindings`

Constructor Summary
`UIToolBar()`

Method Summary
`abstract java.lang.String` | `getHeight()`
`abstract java.lang.String` | `getItemSeparator()`
`abstract java.lang.String` | `getWidth()`
`abstract void` | `setHeight(java.lang.String height)`
`abstract void` | `setItemSeparator(java.lang.String itemSeparator)`
`abstract void` | `setWidth(java.lang.String width)`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class javax.faces.component.UIComponent
`encodeAll, getContainerClientId, getFamily, getValueExpression, setValueExpression`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

Constructor Detail

### UIToolBar

    public UIToolBar()

Method Detail

### getHeight

    public abstract java.lang.String getHeight()

### setHeight

    public abstract void setHeight(java.lang.String height)

### getWidth

    public abstract java.lang.String getWidth()

### setWidth

    public abstract void setWidth(java.lang.String width)

### getItemSeparator

    public abstract java.lang.String getItemSeparator()

### setItemSeparator

    public abstract void setItemSeparator(java.lang.String itemSeparator)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.